Bug 1866878

Summary: NSS CK_GCM_PARAMS change
Product: [Fedora] Fedora Reporter: Ben Cotton <bcotton>
Component: Changes TrackingAssignee: Bob Relyea <rrelyea>
Status: ON_QA --- QA Contact:
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 34CC: bcotton, rrelyea
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1860440    

Description Ben Cotton 2020-08-06 17:13:03 UTC
This is a tracking bug for Change: NSS CK_GCM_PARAMS change
For more details, see: https://fedoraproject.org/wiki/Changes/NssGCMParams

Because of changes to the PKCS #11 spec in PKCS #11 v3.0, NSS needs to change the definition of  the CK_GCM_PARAMS structure in a source incompatible way. Upstream made this change in NSS 3.52. This change does not affect the ABI. Old programs compiled with older versions of NSS will still work. Only packages that use NSS and directly call AES GCM are affected.

Comment 1 Ben Cotton 2021-02-10 21:49:49 UTC
We have reached the 'Code Complete (testable)' milestone in the Fedora 34 release cycle. If your Change is in a testable state, please set the status to MODIFIED. If this Change will not be ready for Fedora 34, please set the version to rawhide.

The 100% code complete deadline is Tue 2021-02-23.

Comment 2 Bob Relyea 2021-02-10 22:46:36 UTC
This change is already in F34 and NSS has been rebuilt with the change. All dependent packages appear to have the necessary change to work or the last mass rebuild would have turned up any issues.

Comment 3 Ben Cotton 2021-02-10 23:02:11 UTC
Setting to ON_QA based on comment 2 to avoid having to NEEDINFO the owner at the 100% complete deadline.